# Uses of Enum
org.mariadb.jdbc.export.SslMode

Packages that use SslMode
Package
Description
org.mariadb.jdbc
org.mariadb.jdbc.export

## Uses of SslMode in org.mariadb.jdbc

Fields in org.mariadb.jdbc declared as SslMode
Modifier and Type
Field
Description
`final SslMode`
HostAddress.`sslMode`
Methods in org.mariadb.jdbc that return SslMode
Modifier and Type
Method
Description
`SslMode`
Configuration.`sslMode()`
SSl mode

## Uses of SslMode in org.mariadb.jdbc.export

Methods in org.mariadb.jdbc.export that return SslMode
Modifier and Type
Method
Description
`static SslMode`
SslMode.`from(String value)`
Create SSLMode from enumeration value, or aliases
`static SslMode`
SslMode.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SslMode[]`
SslMode.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.